#ifndef TMCONFIGUREDUMP2_H
#define TMCONFIGUREDUMP2_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

class TMConfigureDump2 : public TGTransientFrame {
    
  RQ_OBJECT("TMConfigureDump2")
	
  public :
    
  TMConfigureDump2(const TGWindow* p, const TGWindow *main);
  virtual ~TMConfigureDump2();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  virtual Bool_t HandleKey(Event_t *event);

  private:
  enum EEvents {
    TEXT_VAL,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP
  };

  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[2];
  TGTextEntry		*fText;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGLabel		*fLabel;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Bool_t                fDone;

  ClassDef(TMConfigureDump2, 0);
};

#endif
